"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const getFormUpload = () => async (req, res) => {
  const adapter = req.resolve.uploader;

  try {
    const {
      dir
    } = req.query;
    const signedPost = await adapter.getSignedPost(dir);
    await res.json(signedPost);
  } catch (error) {
    await res.status(405);
    await res.end(error.toString());
  }
};

var _default = getFormUpload;
exports.default = _default;
//# sourceMappingURL=getFormUpload.js.map